Request

Response

    Get a resource
    GET

    spaces/{spaceId}/resources/{resourceId}

    Get the resource specified by the resourceId.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/flow/storage/v1/spaces/{spaceId}/resources/{resourceId}
    Authentication Context
    user context optional
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    region
    string
    The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted storage space was created or else the request will fail.
    * Required

    Request

    URI Parameters

    spaceId
    string
    The ID of the storage space.
    resourceId
    string
    The resource ID

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    Bad request - indicates an incorrectly structured or otherwise incorrect request.
    401
    Unauthorized
    Unauthorized - credentials are invalid or not provided in the request
    403
    Forbidden
    Forbidden - the user/entity does not have the required privileges to access this resource
    404
    Not Found
    The specified resource was not found
    429
    Too Many Requests
    Too Many Requests

    Response

    Header (429)

    Retry-After
    integer
    Specifies how many seconds to wait before making a new request.

    Response

    Body Structure (200)

    id
    string
    A unique ID for a specific resource
    sha1
    string
    Base64-encoded SHA1 checksum of the resource.

    Max length: 40

    size
    int
    The total size of the resource in bytes.
    urn
    string
    The URN for the resource.

    Example

    This example gets the inputFile resouce on the scratch:@default storage space.

    Request

    curl -v 'https://developer.api.autodesk.com/flow/storage/v1/spaces/scratch:@default/resources/inputFile' \
      -X 'GET' \
      -H 'Authorization: Bearer eyJhbGci... \
    

    Response

    {
        "id":"inputFile",
        "sha1":"2ffe20b1ee6becad7328101d2bed8f7b659dac1c",
        "size":1146048,
        "urn":"urn:adsk:fc.scratch:us-west.prd:resource:@default/inputFile"
    }